Package be.fgov.ehealth.certra.protocol.v2

# Class GetExistingApplicationIdsResponse

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.ResponseType
be.fgov.ehealth.certra.protocol.v2.GetExistingApplicationIdsResponse

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:04+02:00", comments="JAXB RI v4.0.5") public class GetExistingApplicationIdsResponse extends ResponseType implements Serializable
The list of Application Id's of all currently active certificates associated with the organization specified in the request. This response can be used by client applications to help the user in choosing a new unique Application Id for a certificate. The list may contain a "nill" element, this element represents a certificate without an application ID.

Java class for GetExistingApplicationIdsResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GetExistingApplicationIdsResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}ResponseType">
           <sequence minOccurs="0">
             <element name="ApplicationId" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetExistingApplicationIdsResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getApplicationIds()`
  Gets the value of the applicationIds property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

  `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetExistingApplicationIdsResponse

    public GetExistingApplicationIdsResponse()

- ## Method Details

  - ### getApplicationIds

    public List<String> getApplicationIds()
    Gets the value of the applicationIds property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the applicationIds property.

    For example, to add a new item, do as follows:

         getApplicationIds().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

    Returns:
      The value of the applicationIds property.